Bug 983947 - ipa-client-install --uninstall not removing /etc/ipa/ca.crt
ipa-client-install --uninstall not removing /etc/ipa/ca.crt
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipa-client (Show other bugs)
5.0
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:17 EDT by Varun Mylaraiah
Modified: 2013-11-08 03:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 03:16:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Varun Mylaraiah 2013-07-12 07:17:30 EDT
Description of problem:
ipa-client-install --uninstall command not uninstalling completely    

Version-Release number of selected component (if applicable):
ipa-client-2.1.3-5.el5_9.2



[root@client64vm quickinstall]# ipa-client-install --uninstall
Unenrolling client from IPA server
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and LDAP configurations
Restoring client configuration files
The original nsswitch.conf configuration has been restored.
You may need to restart services or reboot the machine.
Do you want to reboot the machine? [no]: 

[root@client64vm quickinstall]# ls /etc/ipa/
ca.crt





Actual results:
[root@client64vm quickinstall]# ls /etc/ipa/
ca.crt

Expected results:
/etc/ipa/ca.crt should be removed.

Additional info:
Comment 1 Martin Kosek 2013-07-17 04:09:13 EDT
This change is implemented in upstream ticket https://fedorahosted.org/freeipa/ticket/3537:

master: 43fc525fbb98f5b6ff09df172f969a1707a6cbf4
ipa-3-1: b5e4039119a82cec104679133ad09d897c463279
Comment 3 Martin Kosek 2013-07-22 07:08:21 EDT
Fixed upstream, moving to POST.
Comment 4 Martin Kosek 2013-11-08 03:16:29 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.

If this bug is critical to production systems, please contact your Red Hat
support representative and provide sufficient business justification.

Issue is already fixed in RHEL-7.0.

Note You need to log in before you can comment on or make changes to this bug.